
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ExtJs2.0学习系列(13)--Ext.TreePanel之第二式 / iVAN</title>

    <meta name="description" content="ExtJs2.0学习系列(13)--Ext.TreePanel之第二式 昨天有朋友说,在IE下有的时候ashx传过来的节点不能加载,其实我也出现这样的问题,很是烦人! 今天extjs上看到了一个解决方案,觉得很好:如果treeLoader加载失败,会继续加载,直到成功加载. 4.解决IE下非正常加载节点问题 即使从服务器取到大量的数据,也没有问题. -- 基本代码一样,只有js代码的loader小小的修改下: loader:new Ext.tree.TreeLoader({ url:&quot;json.ashx&quot;, listeners:{ &quot;l ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ExtJs2.0学习系列(13)--Ext.TreePanel之第二式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>昨天有朋友说,在IE下有的时候ashx传过来的节点不能加载,其实我也出现这样的问题,很是烦人!</p>
<p>今天extjs上看到了一个解决方案，觉得很好:如果treeLoader加载失败，会继续加载，直到成功加载。</p>
<p>4.解决IE下非正常加载节点问题</p>
<p>即使从服务器取到大量的数据，也没有问题。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwMVU2LTAuZ2lm.jpg">…<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwNjEyNy0xLmdpZg==.jpg">…<br />
<br />基本代码一样，只有js代码的loader小小的修改下：</p>
<pre>
loader:new Ext.tree.TreeLoader({                url:"json.ashx",                listeners:{                    "loadexception":function(loader,node,response){                        node.loaded = false;                        node.reload.defer(10,node);//不停的加载，直到true                     }                }       })</pre>
<p>5.使用TreeNodeUI</p>
<p>在node中我们可以用专门的类控制node的UI.</p>
<p><code>//TreeNodeUI的基本配置参数,node.getUI()=&gt;TreeNodeUI<br />
1.addClass("class")//添加css类<br />
2.getAnchor()//返回a元素(对象),控制a链接<br />
3.getIconEl()//返回img元素(对象),控制icon图标<br />
4.getTextEl()//返回span元素(对象),控制节点文本<br />
5.hide()<br />
6.show()<br />
7.removeClass()</code></p>
<p>我们来做个例子，不过我先推荐个网站extjs中文社区，感觉就是内容太少了</p>
<p>例子：动态改变节点的icon图标</p>
<p>关键js代码：</p>
<p><code>//以根节点为例<br />
root.on("click",function(node){<br />
　　　node.getUI().getTextEl().innerHTML="点击后";//a元素(对象)<br />
　　　node.getUI().getIconEl().src="Image/add.gif";//img元素(对象)<br />
　　});</code></p>
<p>效果图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwNUgxLTIuZ2lm.jpg"><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwSzMwLTMuZ2lm.jpg"></p>
<p>再来看看节点node.getUI().getTextEl()到底是什么？firebug下,</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwMzIzNy00LmdpZg==.jpg"><br />node.getUI().getIconEl()的内容：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMTIwMjEwNTJiLTUuZ2lm.jpg"><br />其他类似．</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索对象<br />
                    ，                node<br />
                    ，                节点<br />
                    ，                元素<br />
                    ，                treepanel<br />
                    ，                控制<br />
                    ，                getui<br />
                                    ext.TreePanel<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 14:36:33</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%85%83%e7%b4%a0/" title="元素">元素</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6/" title="控制">控制</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/node/" title="node">node</a>, <a href="https://www.iamivan.net/tag/treepanel/" title="treepanel">treepanel</a>, <a href="https://www.iamivan.net/tag/ext-treepanel/" title="ext&period;TreePanel">ext&period;TreePanel</a>, <a href="https://www.iamivan.net/tag/getui/" title="getui">getui</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ExtJs2.0学习系列(13)--Ext.TreePanel之第二式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlRRqRz.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;12&rpar;--Ext&period;TreePanel之第一式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天开始,我们就开始一起学习TreePanel了,道个歉,上篇的代码很乱阿. 我总是喜欢用最简单的例子开始,去理解最基本的使用方法,减少对i后面高级使用的干扰! TreePanel是继承自Panel,所以很多在Panel中谈到的属性这里可能会一笔带过,如有问题,请参考ExtJs2.0学习系列(2)--Ext.Panel 1.第一个静态树--最简单的树 效果图: html代码: &lt;div id=&quot;container&quot;&gt; &lt;/div&gt; js代码: Ext.onRea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYR1rp.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;14&rpar;--Ext&period;TreePanel之第三式&lpar;可增删改的树&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				继续tree的learn! 今天就来个可增删改的树吧,操作数据库就使用比较方便的Linq,无非就是增删改! LinqData.dbml: html代码: &lt;body&gt; &lt;div id=&quot;container&quot; style=&quot;float:left; margin-right:10px;&quot;&gt; &lt;/div&gt; &lt;iframe name=&quot;mainFrame&quot; id=&quot;mainFrame&quot; src			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOaLvM.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;10&rpar;--Ext&period;TabPanel之第二式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇种我们简单的了解了下tabpanel 下面我们要介绍的是,如何动态的添加标签页! 2.动态添加tabpanel的标签页 效果图: 点击&quot;添加新标签页&quot;,会添加一个标签页,而且激活这个新的标签页. html代码: &lt;body style=&quot;margin:10px;&quot;&gt; &lt;div&gt; &lt;a id=&quot;AddNewTab&quot; href=&quot;javascript:void(0)&quot;&gt;添加新标签页&lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeR1wb.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;5&rpar;--Ext&period;FormPanel之第二式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇中我们简单的谈到了FormPanel中的fieldset和ComboBox,今天我们继续把这个话题说下去,说全一点,说深一点. 3.可选的fieldset实例 其实就是带个chechbox,有点像论坛注册时有一部分是选填信息的那种效果,主要知识点: //因为觉得这个参数特别,特举一例以说明 1.checkboxToggle:true//true则呈现一个带checkbox的fieldset,选中则展开,否则相反,默认为false 2.checkboxName:string//当上面为true			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnKnoz.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;6&rpar;--Ext&period;FormPanel之第三式&lpar;ComboBox篇&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:说句实话,此extjs系列的文章在博客园中的热度不高,可能是学这玩意的人不多吧,但是我觉得有这么个系列的文章对于中国朋友非常有帮助!请大家支持! 上篇ExtJs2.0学习系列(5)--Ext.FormPanel之第二式中我们讨论了下fieldset和表单验证的知识,今天我们接着深入解析表单元素中ComboBox组件的使用.会涉及 到.net简单服务器数据交互,但暂不做深入讨论,以后会详细分析服务器交互相关,不过可能要等较长一段时间,呵呵! 5.服务器数据作为ComboBox的数据源实例 首			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/xpnK6Oz.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;2&rpar;--Ext&period;Panel</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇文章ExtJs2.0学习系列(1)--Ext.MessageBox ,受到了大家的褒贬不一,还是有的朋友提出好的建议,在此表示感谢! 今天介绍extjs中的Panel组件. //html代码 &lt;div id=&quot;container&quot;&gt; &lt;/div&gt; //js代码 var p = new Ext.Panel({ title: 'My Panel',//标题 collapsible:true,//右上角上的那个收缩按钮,设为false则不显示 renderTo:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKKPWp.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;3&rpar;--Ext&period;Window</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面介绍了panel组件--ExtJs2.0学习系列(2)--Ext.Panel,今天将介绍window组件,它继承自panel. 先介绍个最简单例子 //html代码 &lt;div id=&quot;win&quot; class=&quot;x-hidden&quot;&gt; &lt;/div&gt; //js代码 var w=new Ext.Window({ contentEl:&quot;win&quot;,//主体显示的html元素,也可以写为el:&quot;win&quot; width			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpkGYop.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;7&rpar;--Ext&period;FormPanel之第四式&lpar;其他组件示例篇&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				N久没有写extjs的,作为一个新手,我为我的这种懒惰行为感到惭愧! 鉴于有朋友反应前面的文章过于简单,我决定以后的文章如果没有闪光点就放在新手区(如果不适合,请跟帖),不放在首页! 11.checkbox简单示例 效果图: js代码: Ext.onReady(function(){ Ext.QuickTips.init(); var myform=new Ext.FormPanel({ frame:true, width:330, layout:&quot;form&quot;, labelWidth:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXGvWM.html" rel="bookmark">ExtJs2&period;0学习系列&lpar;1&rpar;--Ext&period;MessageBox</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				大家都知道,刚开始搞extjs的时候,很是有点困难,所以本人在新手刚入门后准备了这个系列的文章. 个人认为用extjs做后台很不错,布局比较完美! 1.Ext.MessageBox.alert()方法 有四个参数,为简单起见,主要介绍前面三个参数: alert( title , msg , function(){} ) 其中title,msg为必选参数,function为可选参数,在关闭弹出窗口后触发. Ext.MessageBox.alert(&quot;title&quot;,&quot;msg&qu			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbak42p.html" rel="bookmark" class="title">用ASP&period;NET 2&period;0设计网络在线投票系统</a>
					<div>
						asp.net|设计|投票|网络|在线 一.系统功能设计和数据库设计 1.系统功能设计和数据库设计 1.1 系统功能设计 网络在线投票系统实现的功能比较简单,具体如下: ◎投票项目的管理: ◎添加投票 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOY39M.html" rel="bookmark" class="title">交互设计个人经验和理解&colon;交互设计的经验总结</a>
					<div>
						文章描述:谈交互设计的经验积累. 交互设计师的工作中,基础的工具.常识.流程--,这些都能够轻松学习到:最终的产出物,也能够找得到成熟的范本:而只有中间的经验,只能来自积淀,没有速成的方法. 这篇分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV8ZBM.html" rel="bookmark" class="title">SQL Server 7&period;0 一般问题</a>
					<div>
						server|问题 [「Microsoft SQL Server 7.0」以下简称「SQL Server 7.0」] 在SQL Server 7.0中如何不重启SQL Server服务,即可循环err ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYlB6b.html" rel="bookmark" class="title">百度的疯狂更新让我彻底明白了该怎样做网站SEO</a>
					<div>
						至始至终我都感觉自己是百度的牺牲品,说是为了更好的服务以及更好的呈递优质的信息,那为什么那些花了钱的网站甚至是黄色网站没有受到影响,反而是我们这些天天做原创内容,天天手工发链接的站长被K,整的我们像怨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY23LBp.html" rel="bookmark" class="title">判断字符串中相同字符的个数</a>
					<div>
						判断字符串中相同字符的个数  =============================  函 数 名:GetCount  作    用:判断字符串中相同字符的个数  参    数:  ======= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72kEZp.html" rel="bookmark" class="title">Excel出现&OpenCurlyDoubleQuote;没有附加数字签名的可信证书&rdquo;的解决方法</a>
					<div>
						  Excel是我们常见办公中不可缺少的重要组成部分,通常情况下我们统计数据.处理数据都无法离开Excel软件,不过有部分用户在使用Excel时出现&quot;没有附加数字签名的可信证书&quot;的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArrEep.html" rel="bookmark" class="title">阿云浏览器如何清除浏览痕迹</a>
					<div>
						  当您需要清除您的浏览痕迹时,您可以直接点击左上角&quot;云logo &quot;--&quot;清除浏览痕迹&quot;即可,如下图所示:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdYooM.html" rel="bookmark" class="title">怎样删除XP SP3系统内置IE浏览器</a>
					<div>
						现在的浏览器种类繁多,除了系统自带的Internet Explorer即IE浏览器,还包括360浏览器.搜狗浏览器.火狐浏览器.百度浏览器等,有时候我们由于某些原因需要对电脑中的浏览器进行卸载,很多w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z8GBb.html" rel="bookmark" class="title">vim替换命令为何是用&bsol;r</a>
					<div>
						问题描述 vim替换命令为何是用 为何我在linux下用vim的替换命令匹配的时候换行要用 ,而替换时要用 啊 解决方案 vim替换命令vim 替换命令vim替换命令 解决方案二: 按理说都是 才对, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaqYvz.html" rel="bookmark" class="title">&lbrack;sharepoint&rsqb;rest api文档库文件上传，下载，拷贝，剪切，删除文件，创建文件夹，修改文件夹属性，删除文件夹，获取文档列表</a>
					<div>
						写在前面 最近对文档库的知识点进行了整理,也就有了这篇文章,当时查找这些接口,并用在实践中,确实废了一些功夫,也为了让更多的人走更少的弯路. 系列文章 sharepoint环境安装过程中几点需要注意的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3X7b.html" rel="bookmark" class="title">广州今年将严打黑客攻击和侵犯公民个人信息犯罪&lowbar;金羊网新闻</a>
					<div>
						[数说广州] 案件类警情降5.3% 2016年广州全年案件类警情同比下降5.3%. 据第三方民意调查,广州市民的安全感和治安满意度分别为95.6%和97%. 在住外国人7.8万 截至2017年2月25 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oODwb.html" rel="bookmark" class="title">JSON 对象未定义错误的解决方法&lowbar;javascript技巧</a>
					<div>
						今天在使用Moodle的时候, 突然发现在IE下进入课件的时候提示&quot;JSON 未定义&quot;错误信息. 后来找来一个 &quot;json2.js&quot; 引入测试了一下. OK 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw48rp.html" rel="bookmark" class="title">深入理解JavaScript系列&lpar;6&rpar; 强大的原型和原型链&lowbar;javascript技巧</a>
					<div>
						前言 JavaScript 不包含传统的类继承模型,而是使用 prototypal 原型模型. 虽然这经常被当作是 JavaScript 的缺点被提及,其实基于原型的继承模型比传统的类继承还要强大.实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kl4xM.html" rel="bookmark" class="title">Java 8方法引用使用指南</a>
					<div>
						[编者按]本文作者为拥有15年 Java 开发经验的资深程序员 Per-Åke Minborg,主要介绍如何灵活地解析 Java 中的方法引用.文章系国内 ITOM 管理平台 OneAPM 编译呈现. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NOkNM.html" rel="bookmark" class="title">前端代码异常日志收集与监控</a>
					<div>
						在复杂的网络环境和浏览器环境下,自测.QA测试以及 Code Review 都是不够的,如果对页面稳定性和准确性要求较高,就必须有一套完善的代码异常监控体系,本文从前端代码异常监控的方法和问题着手,尽 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXw7NyM.html" rel="bookmark" class="title">elasticsearch 用java client 多个and or 条件 怎么写？</a>
					<div>
						问题描述 elasticsearch 用java client 多个and or 条件 怎么写? 如题,求救 sql: select * from table where active=1 and ( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA4B3M.html" rel="bookmark" class="title">机房精密空调低压报警与故障维修方法</a>
					<div>
						数据中心机房专用空调低压报警是我们在日常维护中经常碰到的问题.尤其是在冬季中经常遇到. 总结起来主要有以下几个原因: 1. 恒温恒湿精密空调低压保护设定值不正确.正确的低压保护设定值应设定在2bar左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqPrWz.html" rel="bookmark" class="title">史玉柱自封绿色头衔遭质疑：缺乏事实依据</a>
					<div>
						&quot;自封&quot;的头衔在业内遭到质疑 转型绿色网游 史玉柱被&quot;吐口水&quot; 商场如战场.不过在互联网的商战中真正的刀枪箭戟不多,取而代之的是口水.似乎不打打口水仗就显得不热 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkewryb.html" rel="bookmark" class="title">《ADOBE PREMIERE PRO CC标准培训教材》&mdash;&mdash;1 数字视频基础知识   1&period;1 数字视频的基本概念</a>
					<div>
						1 数字视频基础知识 学习要点 掌握数字视频的基本概念(包括帧速率.像素宽高比和色彩模式等) 掌握世界上通用的电视制式(包括NTSC和PAL),以及标清(SD).高清(HD)乃至2K和4K的定义 掌握 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRw0Zb.html" rel="bookmark" class="title">leetcode 002 add two numbers  C语言</a>
					<div>
						问题描述 leetcode 002 add two numbers C语言 struct ListNode* addTwoNumbers(struct ListNode* l1, struct Lis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR9Ljb.html" rel="bookmark" class="title">JAVA面向对象之继承</a>
					<div>
						继承是指通过某种机制使得当前定义的类可以使用现有类的所有可以继承的功能(属性和方法)而不用重新编写原来的类,从而简化类的定义,实现代码的复用.通过继承创建的新类称为&quot;子类&quot;或&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7Lv0M.html" rel="bookmark" class="title">状态快照转移：一种MySQL Galera集群较优的备份方法</a>
					<div>
						作者介绍 王晶,中国移动DBA,负责&quot;移动云&quot;业务系统的数据库集成架构设计.运维.优化等工作:擅长技术领域MySQL,获Oracle颁发的&quot;MySQL DBA&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rO63z.html" rel="bookmark" class="title">Mellanox正式推出 Spectrum-2 全球最具扩展性的200G和400G开放式以太网交换机解决方案</a>
					<div>
						Mellanox今日宣布, 正式推出拥有全球最佳可扩展能力的200G和400G开放式以太网交换机解决方案--Spectrum-2.Spectrum-2创造了数据中心可扩展性的新记录,比市场上友商高出1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX099lp.html" rel="bookmark" class="title">谈谈视频站百度收录及不收录的应对</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 前段时间注册了个个人认为比较好的米 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn88lWb.html" rel="bookmark" class="title">PHP5&plus;UTF8多文件上传类&lowbar;php技巧</a>
					<div>
						还有些功能没有加上去,如自动更名,图片处理等.可根据需要自己添加. USE: $up = new upfile(ROOT_PATH.'data/'.date(&quot;Ym&quot;,time() ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmW9np.html" rel="bookmark" class="title">探讨&colon;使用httpClient在客户端与服务器端传输对象参数的详解&lowbar;java</a>
					<div>
						昨天把httpClient的源代码下载来看了一下. 稍微跟踪了一下,最终还是使用java.net包的东西.不过封装的实在是漂亮.写程序方便多了.不过还是建议最好先熟悉net包下的东西.为了测试写了个在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NB59p.html" rel="bookmark" class="title">Java线程同步实例分析&lowbar;java</a>
					<div>
						本文实例讲述了Java线程同步的用法.分享给大家供大家参考.具体分析如下: 多线程的使用为我们的程序提供了众多的方便,同时它也给我们带来了以往没有考虑过的麻烦.当我们使用多线程处理共享资源时意外将会发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7oykb.html" rel="bookmark" class="title">JavaScript实现点击按钮切换网页背景色的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript实现点击按钮切换网页背景色的方法.分享给大家供大家参考,具体如下: 这里演示JavaScript用按钮随意变换背景颜色,每点击一下按钮,就可以随机改变一种网页背景颜色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW6ndz.html" rel="bookmark" class="title">手机密码锁机的朋友不用再去营业厅解锁．自己搞定&lpar;未测试&rpar;</a>
					<div>
						(注意:本文为网上收集,仅仅为个人收藏,如果强行使用造成严重后果本人不负任何责任!强烈建议:锁了机还是拿到营业厅解锁)手机密码锁机的朋友不用再去营业厅解锁．自己搞定解话机锁:*2767*2878#/* ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR68wz.html" rel="bookmark" class="title">MVC5&plus;EF6 入门完整教程十</a>
					<div>
						原文:MVC5+EF6 入门完整教程十 本篇是第一阶段的完结篇. 学完这篇后,你应该可以利用MVC进行完整项目的开发了. 本篇主要讲述多表关联数据的更新,以及如何使用原生SQL. 文章提纲 多表关联数 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
